Subject: bug#19046: 24.4; url-retrieve-synchronously does not use username/password in URL

From: Faried Nawaz <[email-masked]>
Date: Thu, 13 Nov 2014 22:06:39 +0500

If I do

 (url-generic-parse-url "http://user:[email-masked]:8442/")

it returns a struct with the username and password fields properly
parsed.  However, if I do

(url-retrieve-synchronously "http://user:[email-masked]:8442/")

it seems to ignore the embedded username/password, and I have to work
around that by doing something like

(let ((my-auth '(("some realm" . "base64-encoded-field")))
      (url-basic-auth-storage 'my-auth))
  (url-retrieve-synchronously "http://127.0.0.1:8442/"))

I could not readily find a function to use the embedded
username/password in the URL without assigning to
url-basic-auth-storage.  (If there is one, I think it should be better
documented.)

Thanks,

Faried.